Name: 		magicraid
Version: 	1
Release: 	4
Summary: 	3ware, MegaCLI, sas2ircu  Command Line Interface Tool
Group: 		System Environment/Base
License: 	3ware

#%ifarch x86_64

Source0:	%{name}.tar.gz
#Source1:	%{name}.conf

#%endif

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
AutoReqProv:	off
Requires:	perl

%description
Meta package for Magic's raid tool
tw_cli AMCC/3ware ATA RAID Controller(s).
MegaCLI and sas2ircu tools for LSI RAID Controller(s).

%prep
%setup -q -c

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/sbin
mkdir -p $RPM_BUILD_ROOT/usr/local/lib
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT/etc/ld.so.conf.d/
install -p -m 0755 sbin/tw_cli $RPM_BUILD_ROOT/usr/local/sbin/
install -p -m 0755 sbin/megacli $RPM_BUILD_ROOT/usr/local/sbin/
install -p -m 0755 sbin/sas2ircu $RPM_BUILD_ROOT/usr/local/sbin/
install -p -m 0755 conf/magicraid.conf $RPM_BUILD_ROOT/etc/ld.so.conf.d/
install -p -m 0755 lib/libstorelibir-2.so.14.07-0 $RPM_BUILD_ROOT/usr/local/lib/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc 
/usr/local/sbin/*
/usr/local/lib/*
/etc/ld.so.conf.d/*

%changelog
* Fri Apr 08 2016 Hanine HAMZIOUI <hhamzioui@magic.fr> 1-4
- Fixed binaries permissions and spec for koji MOCK
* Fri Feb 12 2016 Mohamed YACOUBI <mohamed.yacoubi@magic.fr> 1-3
- Update megacli
* Mon May 5 2014 Hanine HAMZIOUI <hhamzioui@magic.fr> 1-2
- Release bump
* Thu Jan 2 2014 Alexandre Legrix <alegrix@magic.fr> 1-1
- Initial build.
